## org.hibernate.engine.jdbc.internal.proxy
Class ImplicitStatementProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler
              org.hibernate.engine.jdbc.internal.proxy.ImplicitStatementProxyHandler

All Implemented Interfaces:
  InvocationHandler

    public class ImplicitStatementProxyHandler

extends AbstractStatementProxyHandler

Invocation handler for `Statement` proxies obtained from other JDBC object proxies

Constructor Summary
`protected` `ImplicitStatementProxyHandler(Statement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`

Method Summary
`protected void` `beginningInvocationHandling(Method method, Object[] args)`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler
`continueInvocation, getConnectionProxy, getJdbcServices, getResourceRegistry, getStatement, getStatementWithoutChecks`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImplicitStatementProxyHandler

    protected ImplicitStatementProxyHandler(Statement statement,
                                            ConnectionProxyHandler connectionProxyHandler,
                                            Connection connectionProxy)

Method Detail

### beginningInvocationHandling

    protected void beginningInvocationHandling(Method method,
                                               Object[] args)

  Overrides:
    `beginningInvocationHandling` in class `AbstractStatementProxyHandler`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.